# RPM specfile for gnome-pilot module
# Generated Mon May  5 17:42:14 2003 GMT by Ximian build system
# $Id: bb_do,v 1.229 2003/04/30 19:40:24 thunder Exp $
# from $Id: ximian-build.conf,v 1.7 2003/05/04 23:24:50 dobey Exp $

%define nam	gnome-pilot
%define ver	2.0.8
%define ximrev	1

Name:     	gnome-pilot
Version: 	2.0.8
Release:	0.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Solaris 8 / SPARC
Copyright:	GPL/LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /opt/gnome/doc

URL:		http://www.gnome.org/gnome-pilot/
Source0:	gnome-pilot-2.0.8.tar.bz2
BuildRequires:	pilot-link-devel >= 0.11.5
Summary:	PalmOS link utilities
Group:		Applications/Communications
Provides:	ximian-gnome-pilot = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	vpkg-SUNWgnome-config
Prereq:	vpkg-SUNWgnome-libs

%description
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
/opt/gnome/share/control-center-2.0/capplets/*
/opt/gnome/share/idl/*
/opt/gnome/share/mime-info/*
/opt/gnome/share/pixmaps/*
/opt/gnome/bin/*
/opt/gnome/libexec/gpilotd
/opt/gnome/lib/bonobo/servers/GNOME_Pilot_Daemon.server
/opt/gnome/lib/gnome-pilot
%dir /opt/gnome/share/gnome-pilot
%dir /opt/gnome/share/gnome-pilot/glade
/opt/gnome/share/gnome-pilot/conduits
/opt/gnome/share/gnome-pilot/glade/*.png
/opt/gnome/share/gnome-pilot/glade/gpilotd-capplet.glade
/opt/gnome/share/gnome/help/*
/opt/gnome/share/omf/*
/opt/gnome/lib/*.so.*
/opt/gnome/man/man1/*


%post
/bin/true
PATH=/usr/gnome/bin:$PATH /usr/gnome/bin/scrollkeeper-update

%package -n gnome-pilot-devel
Summary:	Pilot development header files.
Group:		Development/Libraries
Requires:	gnome-pilot = %{version}-%{release}
Requires:	pilot-link-devel >= 0.11.5
Provides:	ximian-gnome-pilot-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gnome-pilot-devel
GNOME Pilot is a collection of programs and daemons for using 
Palm OS-based systems with GNOME, the complete user-friendly desktop 
based entirely on free software.

%files -n gnome-pilot-devel
%defattr(-, root, root)
/opt/gnome/include/*
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/pkgconfig/*


%package -n gnome-pilot-applet
Summary:	GNOME Pilot Panel Applet
Group:		Applications/Communications
Requires:	gnome-pilot = %{version}-%{release}
Provides:	ximian-gnome-pilot-applet = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	/usr/gnome/bin/gconftool-2

%description -n gnome-pilot-applet
GNOME Pilot provides this panel applet for control and status on your GNOME 1.4 based desktop. This package will not work with GNOME 2.x

%files -n gnome-pilot-applet
%defattr(-, root, root)
/opt/gnome/lib/bonobo/servers/GNOME_PilotApplet.server
/opt/gnome/libexec/gpilot-applet
/opt/gnome/share/gnome-pilot/glade/pilot-applet.glade
/opt/gnome/*/locale/*/LC_MESSAGES/*
/opt/gnome/etc/gconf/schemas/pilot.schemas


%post -n gnome-pilot-applet
GCONF_CONFIG_SOURCE=`/usr/gnome/bin/gconftool-2 --get-default-source` /usr/gnome/bin/gconftool-2 --makefile-install-rule /opt/gnome/etc/gconf/schemas/pilot.schemas

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-pilot-2.0.8
    ;;
all)
%setup  -q -n gnome-pilot-2.0.8
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/opt/gnome/etc --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon May 5 2003 Ximian, Inc.

- Version: 2.0.8-0.ximian.1
- Summary: New build.
- New automated build.

* Fri May 2 2003 Ximian, Inc.

- Version: 2.0.7-0.ximian.1
- Summary: New build.
- New automated build.

* Mon Apr 28 2003 Ximian, Inc.

- Version: 2.0.6-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Apr 8 2003 Ximian, Inc.

- Version: 2.0.3-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Apr 8 2003 Ximian, Inc.

- Version: 2.0.0-0.ximian.1
- Summary: New build.
- New automated build.

